%define oname kactivities

Name:		lib%{oname}
Summary:	API for using and interacting with Activities
Version: 4.9.3
Release: 1
Epoch:		6
License:	GPLv2+ and LGPLv2+
URL:		https://projects.kde.org/projects/kde/kdelibs/kactivities
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{oname}-%{version}.tar.xz
Group:		System/Libraries
BuildRequires:	kdelibs4-devel >= 5:4.8.80

# libkactivities moved from kdelibs, but turns out there's no actual conflicts
# kactivitymanagerd moved here from kde-runtime
Conflicts:	kdebase4-runtime < 1:4.7.3-10

%description
API for using and interacting with Activities as a consumer,
application adding information to them or as an activity manager.

%files
%{_kde_bindir}/kactivitymanagerd
%{_kde_libdir}/kde4/activitymanager_plugin_dummy.so
%{_kde_libdir}/kde4/activitymanager_plugin_globalshortcuts.so
%{_kde_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_kde_libdir}/kde4/activitymanager_plugin_slc.so
%{_kde_libdir}/kde4/activitymanager_plugin_sqlite.so
%{_kde_libdir}/kde4/activitymanager_uihandler_declarative.so
%{_kde_libdir}/kde4/activitymanager_uihandler_kdialog.so
%{_kde_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_kde_libdir}/kde4/kio_activities.so
%{_kde_datadir}/kde4/services/activities.protocol
%{_kde_datadir}/kde4/services/activitymanager-plugin-dummy.desktop
%{_kde_datadir}/kde4/services/activitymanager-plugin-nepomuk.desktop
%{_kde_datadir}/kde4/services/activitymanager-plugin-slc.desktop
%{_kde_datadir}/kde4/services/activitymanager-plugin-sqlite.desktop
%{_kde_datadir}/kde4/services/activitymanager-plugin-globalshortcuts.desktop
%{_kde_datadir}/kde4/services/kactivitymanagerd.desktop
%{_kde_datadir}/kde4/services/kactivitymanagerd_fileitem_linking_plugin.desktop
%{_kde_datadir}/kde4/servicetypes/activitymanager-plugin.desktop
%{_kde_appsdir}/plasma/packages/org.kde.ActivityManager.UiHandler
%{_datadir}/ontology/kde/kao.*

#-----------------------------------------------------------------------

%define libkactivities_major 6
%define libkactivities %mklibname kactivities %{libkactivities_major}

%package -n %{libkactivities}
Summary:	Runtime library for %{name}

%description -n %{libkactivities}
Library file needed by %{name}

%files -n %{libkactivities}
%{_kde_libdir}/libkactivities.so.%{libkactivities_major}*

#-----------------------------------------------------------------------

%package devel
Summary:	Developer files for %{name}
Requires:	kdelibs4-devel
Requires:	%{libkactivities} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description devel
%{summary}.

%files devel
%{_kde_libdir}/libkactivities.so
%{_libdir}/cmake/KActivities
%{_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities
%{_kde_includedir}/kactivities

#-----------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_kde4 \
	-DKACTIVITIES_BUILD_NEPOMUK_PLUGIN:bool=ON \
	-DKACTIVITIES_BUILD_DUMMY_PLUGIN:bool=ON
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 6:4.9.3-1
+ Revision: 822065
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 6:4.9.2-1
+ Revision: 818189
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 6:4.9.0-1
+ Revision: 811742
- New release
- New release

* Sun Jul 15 2012 Andrey Bondrov <abondrov@mandriva.org> 6:4.8.97-1
+ Revision: 809306
- New version 4.8.97, update files

* Mon Jul 02 2012 Andrey Bondrov <abondrov@mandriva.org> 6:4.8.95-1
+ Revision: 807725
- New version 4.8.95

* Fri Jun 08 2012 Crispin Boylan <crisb@mandriva.org> 6:4.8.4-1
+ Revision: 803592
- New release
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 6:4.8.3-1
+ Revision: 796071
- New release

* Wed Apr 18 2012 Crispin Boylan <crisb@mandriva.org> 6:4.8.2-1
+ Revision: 791797
- New release

* Wed Mar 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 6:4.8.1-1
+ Revision: 782922
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 6:4.8.0-1
+ Revision: 762433
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 6:4.7.97-1
+ Revision: 758048
- New upstream tarball

* Sun Jan 01 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 6:4.7.95-1
+ Revision: 748555
- New version
- New version

* Wed Dec 14 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 6:4.7.90-1
+ Revision: 740797
- Fix file list
- New version 4.7.90

* Sat Nov 26 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 5:6.1-4
+ Revision: 733487
- Fix conflicts

* Fri Nov 18 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 5:6.1-3
+ Revision: 731559
- Fix use of epoch in provides/requires

* Thu Nov 17 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 5:6.1-2
+ Revision: 731510
- Add a provide in the devel package

* Thu Nov 17 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 5:6.1-1
+ Revision: 731502
- Import libkactivities

